exercise_05_18: exercise_05_18.o | .gitignore
	g++ $^ -o $@ 
exercise_05_18.ii: exercise_05_18.cpp
	g++ -E $^ -o $@
exercise_05_18.s: exercise_05_18.ii
	g++ -S $^ -o $@
exercise_05_18.o: exercise_05_18.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_05_18" > $@
clean:
	rm -rf *.ii *.s *.o exercise_05_18 .gitignore *.out debug
test1: exercise_05_18 
	@./exercise_05_18 > test1.out
	@diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_05_18.ii exercise_05_18.s
.SECONDARY: exercise_05_18.ii exercise_05_18.s

dbg: debug/exercise_05_18
debug/exercise_05_18: debug/exercise_05_18.o
	g++     -Wall -Wextra -Werror -g3 debug/exercise_05_18.o     -o debug/DecisionMaking
debug/exercise_05_18.o: debug/exercise_05_18.s
	g++ -c -Wall -Wextra -Werror -g3 debug/exercise_05_18.s     -o debug/exercise_05_18.o
debug/exercise_05_18.s: debug/exercise_05_18.ii
	g++ -S -Wall -Wextra -Werror -g3 debug/exercise_05_18.ii     -o debug/exercise_05_18.s
debug/exercise_05_18.ii: exercise_05_18.cpp
	g++ -E -Wall -Wextra -Werror -g3            exercise_05_18.cpp -o debug/exercise_05_18.ii
debug/exercise_05_18.ii: | debug
debug:
	mkdir -p debug

